[arch-commits] Commit in freeglut/trunk (4 files)

Eric Bélanger eric at archlinux.org
Fri Jan 1 23:53:58 UTC 2010


    Date: Friday, January 1, 2010 @ 18:53:58
  Author: eric
Revision: 62079

upgpkg: freeglut 2.6.0-1
    Upstream update, Added libxi depends, Changed license to MIT, Added patch to fix an issue with the radeon[hd] ATI opensource drivers, Added ChangeLog

Added:
  freeglut/trunk/2.6.0-GFX_radeon.patch
  freeglut/trunk/ChangeLog
Modified:
  freeglut/trunk/PKGBUILD
Deleted:
  freeglut/trunk/glut-cursor-inherit.patch

---------------------------+
 2.6.0-GFX_radeon.patch    |   28 ++++++++++++++++++++++++++++
 ChangeLog                 |    8 ++++++++
 PKGBUILD                  |   25 ++++++++++++-------------
 glut-cursor-inherit.patch |   23 -----------------------
 4 files changed, 48 insertions(+), 36 deletions(-)

Added: 2.6.0-GFX_radeon.patch
===================================================================
--- 2.6.0-GFX_radeon.patch	                        (rev 0)
+++ 2.6.0-GFX_radeon.patch	2010-01-01 23:53:58 UTC (rev 62079)
@@ -0,0 +1,28 @@
+Index: src/freeglut_window.c
+===================================================================
+--- src/freeglut_window.c	(Revision 832)
++++ src/freeglut_window.c	(Arbeitskopie)
+@@ -594,10 +594,9 @@
+ #if TARGET_HOST_POSIX_X11
+     if ( window )
+     {
+-        glXMakeContextCurrent(
++        glXMakeCurrent(
+             fgDisplay.Display,
+             window->Window.Handle,
+-            window->Window.Handle,
+             window->Window.Context
+         );
+ 
+@@ -932,10 +932,9 @@
+     XSetWMProtocols( fgDisplay.Display, window->Window.Handle,
+                      &fgDisplay.DeleteWindow, 1 );
+ 
+-    glXMakeContextCurrent(
++    glXMakeCurrent(
+         fgDisplay.Display,
+         window->Window.Handle,
+-        window->Window.Handle,
+         window->Window.Context
+     );
+ 

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2010-01-01 23:53:58 UTC (rev 62079)
@@ -0,0 +1,8 @@
+2009-12-30  Eric Belanger  <eric at archlinux.org>
+
+	* freeglut 2.6.0-1
+	* Upstream update
+	* Added libxi depends
+	* Changed license to MIT
+	* Added patch to fix an issue with the radeon[hd] ATI opensource drivers
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-01 21:31:04 UTC (rev 62078)
+++ PKGBUILD	2010-01-01 23:53:58 UTC (rev 62079)
@@ -3,31 +3,30 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=freeglut
-pkgver=2.4.0
-pkgrel=4
+pkgver=2.6.0
+pkgrel=1
 pkgdesc="Provides functionality for small OpenGL programs"
 arch=('i686' 'x86_64')
 url="http://freeglut.sourceforge.net/"
-license=('custom')
-depends=('libxxf86vm' 'mesa')
+license=('MIT')
+depends=('libxxf86vm' 'mesa' 'libxi')
 replaces=('glut')
 provides=('glut')
 conflicts=('glut')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/freeglut/${pkgname}-${pkgver}.tar.gz \
-        glut-cursor-inherit.patch)
-md5sums=('6d16873bd876fbf4980a927cfbc496a1'
-         'd6ba7e22ebb0fd7904b8e18c97475ba6')
-sha1sums=('91a528aa72758b7288a0d69a964b1b7e3f322a12'
-          '9353d7b811fdfd6f0c5766f0e93924ca63e9d6a9')
+        2.6.0-GFX_radeon.patch)
+md5sums=('39f0f2de89f399529d2b981188082218' '6d0a018fe4f0bc9ace2b244ca59514d3')
+sha1sums=('68306c4486c13d005a4e4d54035e0c0b1bdc220b' '2e392c7d0b60016ec89e6a5edf504f5722351b95')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np1 -i "${srcdir}/glut-cursor-inherit.patch" || return 1
-  sed -i 's/-Werror//' configure || return 1
+# fixes an issue with the radeon[hd] ATI opensource drivers
+# ref: http://bugs.gentoo.org/show_bug.cgi?id=295163
+  patch -p0 -i "${srcdir}/2.6.0-GFX_radeon.patch" || return 1
+
   ./configure --prefix=/usr || return 1
   make all || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
-  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+  install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }

Deleted: glut-cursor-inherit.patch
===================================================================
--- glut-cursor-inherit.patch	2010-01-01 21:31:04 UTC (rev 62078)
+++ glut-cursor-inherit.patch	2010-01-01 23:53:58 UTC (rev 62079)
@@ -1,23 +0,0 @@
---- freeglut-2.4.0.orig/src/freeglut_cursor.c
-+++ freeglut-2.4.0/src/freeglut_cursor.c
-@@ -130,7 +130,9 @@
-                     XCreateFontCursor( fgDisplay.Display, entry->cursorShape );
-             }
-             cursor = entry->cachedCursor;
--        } else {
-+	    if (cursor == None)
-+		fgError( "Failed to create cursor" );
-+	} else {
-             switch( cursorIDToUse )
-             {
-             case GLUT_CURSOR_NONE:
-@@ -147,9 +149,6 @@
-             }
-         }
- 
--        if ( ( cursorIDToUse != GLUT_CURSOR_NONE ) && ( cursor == None ) ) {
--            fgError( "Failed to create cursor" );
--        }
-         XDefineCursor( fgDisplay.Display,
-                        window->Window.Handle, cursor );
-     }




More information about the arch-commits mailing list